--
-- Eckart
-- Specialization for Eckart
--
-- @author Felix "Outlaw" Sorge
-- @date  27/04/09
-- @web www.ls-modsource.de - www.ls-mods.de
--
-- Copyright (C) Outlaw, All Rights Reserved.
--

Eckart = {};

function Eckart.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Trailer, specializations);
end;


function Eckart:load(xmlFile)
	self.dischargeSpeed = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.dischargeSpeed#value"), 1);
end;


function Eckart:keyEvent(unicode, sym, modifier, isDown)
end;


function Eckart:update(dt)

	if self.attacherVehicle then
		if self.fillLevel == 0 or self.currentFillType == 0 then
			self:setIsTurnedOn(false)
	    elseif self.isTurnedOn and self.speedViolationTimer > 0 and self.fillLevel ~= 0 and self.currentFillType ~= 0 then
			local difficultyMultiplier = math.max(3 * (3 - g_currentMission.missionStats.difficulty), 1);
			local deltaLevel = FruitUtil.fruitIndexToDesc[self.currentFillType].literPerQm * difficultyMultiplier * self.dischargeSpeed;
			self:setFillLevel(self.fillLevel-deltaLevel, self.currentFillType);
		end; 
	end; 
	
end;


function Eckart:draw()
end;


function Eckart:onAttach()
end; 	


function Eckart:onDetach()
end;


function Eckart:delete()
end;


function Eckart:mouseEvent(posX, posY, isDown, isUp, button)
end;